Introduction

Contains 0 Sub-Categories and 3 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Overview of Indirect Interface Concepts ( Type : INFO: , ID : 12559 )
Q14246 Rockwell FactoryTalk View SE Interface Introduction ( Type : INFO: , ID : 14247 )
Source versions tested ( Type : INFO: , ID : 14248 )

ID : 3P2I7R , Online Version
© 2009 HACH Company, All rights reserved.


Overview of Indirect Interface Concepts

Documentation : Introduction

The main components that collaborate on getting source data from SCADA or LIMS systems into the Hach WIMS database are the: Collector, Dispatcher, and Interface.
The reason there are these components is to provide flexibility, to be more robust, and to overcome disconnected system conditions.

  1. Source Data

    The source data is typically a database of SCADA or LIMS type data stored by some automated or manual system

  2. Collector

    The Collector is responsible for polling source data periodically and creating XML files in a specific format (i.e., OPSDATAXML file format)

  3. Dispatcher

    The Dispatcher is optional and is used for dispatching XML data files from source computer systems to the Hach WIMS computer when these two are not the same network. The Dispatcher transfers XML data files to the Hach WIMS computer system via File Transfer Protocol (FTP). If the source data is on the same computer as the Hach WIMS database, then this component is not needed.

  4. Interface

    The Interface reads in XML files created by the Collector, summarizes the data based on variable setup in Hach WIMS Client, and imports the data to the Hach WIMS database. The Interface must be able to connect to the Hach WIMS database.

  5. Hach WIMS Database

    End point for data storage. The Database needs to know how the interface is defined, allows you to uniquely name the interface, and provides place holders, called "variables", that hold the data imported from the interface.

  6. Hach WIMS Client

    The Hach WIMS Client is the part of the system that allows you to read data and generate reports. Hach WIMS Client reads data from Hach WIMS Database.

keywords : interface,indirect,dispatcher
ID : 12559 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Q14246 Rockwell FactoryTalk View SE Interface Introduction

Documentation : Introduction

The Hach WIMS Indirect Server-Side Interface to Rockwell FactoryTalk SE transfers summarized values from the FactoryTalk archive database to Hach WIMS DBMS. FactoryTalk must log real time data to an MS SQL database in uncompressed fashion. Data is read from the FactoryTalk database, summarized based upon the user specified statistic, and the resulting value is placed into the Hach WIMS database.

Being an indirect interface allows you to export data from the FactoryTalk computer system into XML files, move the files to the Hach WIMS environment, and summarizing the data into Hach WIMS DBMS for viewing and reporting.

This interface expects FactoryTalk default settings for the database tables as shown below:

The Database Tables are normally stored in the master Database.

keywords : Q14246, Q14256, FactoryTalk, Factory Talk
ID : 14247 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Source versions tested

Documentation : Introduction
The Rockwell FactoryTalk View SE system is not available to us, therefore we used a sample database of simulated source data.

ID : 14248 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


How To

Contains 0 Sub-Categories and 8 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
_ Step-by-Step Instructions on How to Configure Interface ( Type : HOWTO: , ID : 12563 )
Change Configuration Protection Password ( Type : HOWTO: , ID : 12055 )
Configuration is Password Protected ( Type : HOWTO: , ID : 12056 )
Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL) ( Type : HOWTO: , ID : 12041 )
Hach WIMS Super User Credentials ( Type : HOWTO: , ID : 12057 )
Using Common Buttons ( Type : HOWTO: , ID : 12039 )
Using Main Interface Screen ( Type : HOWTO: , ID : 12036 )
Using Select Date Range to Import ( Type : HOWTO: , ID : 12058 )

ID : 1D5C6S , Online Version


_ Step-by-Step Instructions on How to Configure Interface

Documentation : How To

You will need to follow these steps in order to configure your interface :

  1. You must have Hach WIMS Database Management System installed and running. This can be running from anywhere on your network, but can also be running on the same computer as your interface.
  2. You must have Hach WIMS Client installed. Make sure you can log into Hach WIMS Database Server using Hach WIMS Client.
  3. Run your interface in Interactive mode by clicking on its entry in your windows Start Menu.
  4. Configure a connection to your Hach WIMS Server. Use Configuration - Connection to Hach WIMS to do this.
  5. Make sure you are properly licensed to run this interface. In Main Menu, select Support -> Am I licensed for this Interface.

    If you pass this test, continue to step 6. If not, contact Hach Company Sales at 800-677-0067.
  6. Upload interface definition file to Hach WIMS Server. Use Utilities - Upload definition file to Hach WIMS to do this.
  7. You will need to assign a collector record to your interface. First the record must be created. You will need to configure Hach WIMS Client for a server side interface.
  8. Now you are ready to assign the collector record created in the previous step to your interface. Use Configuration - Collector Configuration to do this.
  9. The Configuration - Collector Configuration will provide an opportunity to configure the Collector component. Click on Collector Configuration Settings button and follow the instructions in Collector - Common Collector Configuration.
  10. You need to link at least one Hach WIMS variable to the chosen collector record.
  11. Configure the source so that interface can read from the source system.
    Locate the 'Configuration -> Source Configuration' article in the 'Topics specific for operation of Interface' chapter to gain instructions on how to do it.
  12. Save all configuration Settings by clicking on Configuration -> Save All Configuration.
  13. You are now ready to test the interface. Use Test - Test Import All to do this

Furthermore, You may want to configure Automated Import. Use Configuration - Automated Import Configuration to do this.

ID : 12563 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Change Configuration Protection Password

Documentation : How To

Requiring a password for configuration changes will prevent unauthorized or accidental tampering with your configuration from within the interactive mode.

From the interface, select Configuration and Advanced Configuration. Click on the Protection tab.

Click on the box next to Require Password to Change Configuration and Save Settings button.

Use this screen to set a new configuration protection password.

NOTE: The default password is '12345'. If you configure the interface to use a password and later remove the password check, it will reset to '12345' again.

ID : 12055 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configuration is Password Protected

Documentation : How To

The configuration is password protected if you changed it in Change Configuration Protection Password. You must enter the correct password in order to save any changes to the configuration of this interface.

See Advanced Configuration if you want to disable the password protection.

NOTE:
If your configuration is protected with a password, you must know the password before you can disable the password check.

keywords : configuration,password
ID : 12056 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)

Documentation : How To

In order to use a Hach WIMS Server-Side Interface, you must do the following:

  1. Start your Hach WIMS Client and navigate to the System Setup -> System Tables -> Entire System -> Server-Side Interface Setup menu selection:

  2. If the "Server-Side Interface Setup" screen shows no interfaces, or the one you want to configure is not shown, you have to:
    • Is the interface definition file uploaded? Click the New button to determine if the definition file is uploaded, and see if it appears in the list of interfaces. If it is there, continue to step 3.
    • If the definition file is not uploaded, click the New Definition button and navigate to the g2_server_lu file located where the interface is installed. (Alternatively, you can select Utilities - Upload Definition File to Hach WIMS)
  3. With the definition uploaded (or present), click the New button and create an instance of the server side interface. You can have multiple interface sources for the same definition.

    In this example, we are using the Random Number Generator interface. Select the name of your interface, click Next, and select the version.
  4. Configure the interface:

    Make note of the "Name of Interface" field - this is how your interface will be identified. In this case - it is "Random Number Generator". Fill in a "Description" and select the "Collector Time Zone", in this case, it is set to Mountain Time (US & Canada). Click OK to create the interface record.
  5. Configure Browser - Click on the Browser tab and enter the requested information to allow the Hach WIMS Client the ability to browse tags from the source system. In some cases, you will need to install an OLE DB driver, on the Hach WIMS Client computer, that will allow communications to the source system. If it is impossible to configure this option, or you wish to do this later - uncheck the Enable button on the Browser tab.
  6. Go to System Setup -> Edit/View Variables.
  7. Go to the variable you wish to configure for storing interface data:

    Click the Interface tab on the variable you are configuring, then click the Interface To radio button and select the interface needed for this variable. The area below will fill up with the settings needed to finish configuring this variable.
  8. For detailed instructions on configuration of variables, look for the 'Supported Variable Configurations For Interface ...' article in the 'Topics specific to the operation of this Interface' chapter.

keywords : g2,collector,client,server,side
ID : 12041 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Hach WIMS Super User Credentials

Documentation : How To

To enable this feature, select Configuration -> Advanced Configuration. Then check the "Require Hach WIMS Super User Login Credentials to Import Data In Interactive Mode" setting.

You must provide the correct user name and password in order to import data in interactive mode.

Contact your Hach WIMS Administrator for help if you do not know the username and/or password.

ID : 12057 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Common Buttons

Documentation : How To

Common Hach WIMS Interface Buttons:

Displays help for the current interface screen.
Applies the current settings.
Attemps to apply the current changes and save them permanently. The save will fail if the settings cannot be applied first.
Closes the current window - no changes are saved.
Cancel the current activity/operation.

keywords : buttons
ID : 12039 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Main Interface Screen

Documentation : How To

This is the main interface interactive screen.

When running in interactive mode, you can set the various interface configuration settings, monitor & control the interface service, as well as interactively collect data.

The main parts of the of the screen of interest are:

  • Main Menu
  • The Shortcut Buttons:

    Import all data.
    Import data for selected variables.
    Monitor service activity.
    Display help for the current window.
    Display general interface information.
    Exit the interactive interface session.

  • The Interface Messages & Notification area - the white background area displays scrolling text regarding the interface's activity. All manner of data is logged here, including data collection status, errors, warnings and other general information regarding the interface's current activity.

    Depending on the Verbosity level set, you may or may not see all information.

    If there is a directory called "Log" in the interface directory, the interface will also log to a text file of the form:
    <mm_dd_yyyy__hh_mm_ss_interactive.log>

    E.g., if the current date is 2/26/2009 and the current time is 3:02:13 PM, the file will be called:
    02_26_2009__15_02_13_interactive.log.

  • The status bar, at the bottom of the screen, displays miscellaneous information regarding the interface.

ID : 12036 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Select Date Range to Import

Documentation : How To

When importing data for one or more specified variables, you have to specify the date range of the source data you want to get.

You can do this in 2 ways:

  1. Use both the Start & End Date Pickers

    - OR -
  2. Use a start/end date quick shortcut:

Buttons:

Import data for the selected dates

Other buttons are described in Using Common Buttons.

Principle 1: Data will be imported based on the Start and End Date and Time and how the variable's Stop Time is set up. The Stop Time must fall within the date range requested.

Principle 2: Data is stored on the date and time of the variable's Start Time.

For example: We set a variable with Start Time of 08:00 and a Stop Time of 08:00, and select Day After Start as shown below.

Then I run the interface to pull data for March 3, 2009 00:00:00 to March 4, 2009 08:01:00.

The interface will return a value for March 2 and March 3. Why? The stop time is our requested date range starting on March 3, 2009 with a stop time of 8 AM. The stop time is computed to March 3, 2009 08:00:00. Since we selected the stop as day after start, the start time is March 2, 2009 at 08:00:00. According to principle #2, the data point is stored on the start time.

So for our example:

Requested Date | Start Date and Time | Stop Date and Time
March 3, 2009 | March 2, 2009 08:00:00 | March 3, 2009 08:00:00
March 4, 2009 | March 3, 2009 08:00:00 | March 4, 2009 08:00:00

If we had set our date range from March 3, 2009 00:00:00 to March 4, 2009 07:59:59, then the interface would return only the first record, because stop time of March 4, 2009 08:00:00 in the second record, is past the end date and time of our range.

If we had set our date range from March 3, 2009 08:01:00 to March 4, 2009 08:01:00, then the interface would return only the second record, because the Stop Date and Time of the first record (March 3, 2009 08:00:00) does not fall within our start and end date range.

ID : 12058 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Main Menu

Contains 0 Sub-Categories and 15 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Automated Import - Activity Log View ( Type : INFO: , ID : 12049 )
Automated Import - Modify Last Ran Dates ( Type : INFO: , ID : 12051 )
Automated Import - Status and Control ( Type : INFO: , ID : 12047 )
Configuration - Advanced Configuration : Source Input Cache ( Type : INFO: , ID : 12132 )
Configuration - Advanced Configuration: Unit Conversion ( Type : INFO: , ID : 12328 )
Configuration - Automated Import Configuration ( Type : INFO: , ID : 12044 )
Configuration - Collector Configuration ( Type : INFO: , ID : 12042 )
Configuration - Connection To Hach WIMS ( Type : INFO: , ID : 12037 )
File - Exit ( Type : INFO: , ID : 12035 )
File - Import All ( Type : INFO: , ID : 12034 )
File - Import For Selected Variables ( Type : INFO: , ID : 12038 )
Test - Source Read Test SCADA to Hach WIMS ( Type : INFO: , ID : 12054 )
Test - Test Connection to Hach WIMS ( Type : INFO: , ID : 12052 )
Test - Test Import All ( Type : INFO: , ID : 12053 )
Utilities - Upload Definition File to Hach WIMS ( Type : INFO: , ID : 12040 )

ID : 5B5B7O , Online Version


Automated Import - Activity Log View

Documentation : Main Menu

For Automated Import options, click the Automated Import button on the top menu bar of the interface.

The Activity Log View lets you view the interface NT Service log.

Buttons:

Force refresh of the service log view. To shorten the refresh interval, see Configuration - Advanced Configuration.
View the full service log.

The rest of the buttons are explained in Using Common Buttons.

NOTE:
If the log cannot be read, make sure the service name is correct and that it's running. See Automated Import - Status and Control on how to start the service if it's not running (assuming the service name is correct) and see Configuration - Advanced Configuration on how to view/change the service name.

keywords : activity,log
ID : 12049 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Modify Last Ran Dates

Documentation : Main Menu

This screen lets you modify the per-facility Last-Ran Date of the interface.

NOTE:
This is different than the default Last-Ran Date described in Configuration - Automated Import Configuration , which is the default Last-Ran Date for ALL facilities that have not had any data imported.

keywords : last,ran
ID : 12051 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Automated Import - Status and Control

Documentation : Main Menu

The NT Service Status and Control screen lets you monitor the state of interface service, and start or stop the service (Note: you must be logged in as a Windows Administrator):

The name of the service is displayed in the bottom left (see screenshot) corner of the screen. This is the name of the service that the interactive program is configured to monitor.

If this is NOT the name of the service, you can change it from the Configuration - Advanced Configuration screen.

Buttons:

Start the service, if it is not running.
Stop the service, if it is running.

All other buttons are explained in Using Common Buttons.

keywords : import,status,control
ID : 12047 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration : Source Input Cache

Documentation : Main Menu

Source Input Cache Configuration, is used to configure criteria for caching, if the interfaces supports caching and the option is Enabled. Caching is used to load more data into memory at one time, and retain it for processing variables instead of continuously rereading source data from disk. This will speed up processing, but uses more computer resources - such as memory. Set the parameters to set thresholds for processing chunks of data and so that the interface does not surpass the limitations of your computer.

(Note: Not all interfaces have this feature available)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

ID : 12132 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Advanced Configuration: Unit Conversion

Documentation : Main Menu

Unit Conversion, if enabled, is used to configure unit conversion when the "units" from the source are different than the "units" in Hach WIMS.

This feature can be turned off, simply click the Disable radio button under Convert Result from Source Unit to Hach WIMS Unit.

(Note: Not all interfaces have this feature available)

  1. Under Source Unit enter the text value as it is in the source
  2. Select the Conversion Algorithm

    • Multiplication - Multiply the source result by the Factor before writing to Hach WIMS
    • Degrees F to C - Convert degrees Fahrenheit to degrees Celsius
    • Degrees C to F - Convert degrees Celsius to degrees Fahrenheit
  1. Enter the Factor amount, how much to multiply the source result by before writing to Hach WIMS. When using the Degrees conversion, enter a 1 (one)
  2. Enter the Hach WIMS Unit that the Hach WIMS variable will be using

For example, the source result is stored in parts per million ("ppm") and it needs to be converted in Hach WIMS as parts per billion ("ppb"). You could add the following conversion:

(Note: this is one of the default conversions included)

Click Apply Settings to apply changes and return to parent form. Click Close to return without applying changes.

keywords : Configuration,Advanced,Configuration,Unit,Conversion
ID : 12328 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Automated Import Configuration

Documentation : Main Menu

Each interface can be configured to run as a service. This is when you want to schedule an automatic retreival of data, without user intervention.

The Automated Import Configuration screen allows you to configure the schedule, whether to submit calculation requests, the Last-Ran Date, and the import operation mode:

  • Automated Import Schedule - configure when the interface service is scheduled to run:
    • Daily -the interface will run ONCE per day, at the specified schedule. E.g., to run it at 2:30 am, you would enter "2" into the hours box and "30" into the minutes box. Note that time is entered in "military" format. To enter 4:45 pm, you would enter "16" into the hours box, NOT 4.
    • Hourly - the interface will run every hour at the specified minute after the hour
    • Minutely- the interface will run every X minutes where X is a number between 1 and 1440. E.g., to run it every 5 minutes, you would enter "5".
  • Calculations After Automated Import - select this option if you would like the Hach WIMS AdoCalc service to recalculate all variables within every facility after an import operation completes.
  • Default Last Run Date - this is the point in time from which the interface service will try to retrieve data, up until the current point in time. After a successful run, the current time will become the last run time. By default, this is set to one day prior to the current day.

    E.g., assume today is February 25, 2009, if you have just installed the interface and have 3 months of historical data you want imported into Hach WIMS. You should enter November 25, 2008 as the Last-Run Date (3 months prior to February 25th). Once the interface completes its run, the Last-Run Date will be set to February 25, 2009 automatically. The next time it runs (assuming it runs Daily), February 26, 2009, it will only fetch one day's worth of data.
  • Constant to Add to Start Date Each Time Import Runs - Enter the number of minutes to add to the Start Date when the interface runs in automatic mode. This allows the interface to capture data from previous runs that might not have been available at that time.
    • During automated import, interface queries source data for the following date range :
      from (Last Run Date/time + Constant to Add to Start Date Each Time Import Runs ) to (current date / time )

      If your source system does not yet contain the needed data at the time of automated import, use this setting to push back the from parameter. For instance, if you need the import to start 2 hours before Last Run Date/time, you need to enter value of -120 (negative 120) to Constant to Add to Start Date Each Time Import Runs

      NOTE: Situations when you would need to input a positive value in this field are very rare.
      Value of 0 (default) has no negative or positive effect on start date.
  • Import Operation Mode -Real mode imports data into Hach WIMS where as Test does not actually import data, but tests the query capability and timing of the interface.

Buttons:

The buttons are explained in Using Common Buttons.

keywords : automated,import
ID : 12044 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Collector Configuration

Documentation : Main Menu

The Collector Configuration is the place where you configure the source of your data - the SCADA/LIMS system that holds the data you want to import.

NOTE: Before you can configure the collector, you MUST configure the Connection to Hach WIMS and you must setup the Hach WIMS client.

Select Which Hach WIMS G2 Interface Am I for this interface. The names that appear in the drop-down box are the ones that were configured in the Hach WIMS Client. This name is then tied to this interface and is unique.

Buttons:

The buttons are explained in Using Common Buttons.

If the Interface you are using has a separate Collector Utility that generates OPSDATAXML files that it reads from, you can configure and launch it from here.

Opens a screen that allows you to configure the Collector's settings

Starts the Collector utility

keywords : collector,configuration
ID : 12042 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Configuration - Connection To Hach WIMS

Documentation : Main Menu

The Connection to Hach WIMS screen lets you configure how the interface will connect to Hach WIMS Database Server.

This is one of the first items you configure when setting up a new interface.

  • Data Source - this field specifies, in loose terms, the "Database/Datasource server name" where your Hach WIMS system is configured to store data. "Database/Datasource server name" means different things depending on whether you are running against Oracle or MS SQL:
    • Oracle - you can type in either the Oracle TNS name or a string in the form of host:port/SID, if using the Oracle HOSTNAME adapter.
    • MS SQL - this is in the form of host\sql_instance_name
  • Database Type -select the appropriate type of your Hach WIMS database
  • OLE DB Provider - this specifies which "database driver" the interface will use when connecting to Hach WIMS and again depends on the database type:
    • Oracle - the default string should be fine
    • MS SQL - if connecting to MS SQL 2005 or later, use the native client to connect. Specify SQLNCLI as the provider. NOTE: You will need to have the Microsoft SQL Native Client installed for this to work. If connecting to MS SQL 2000, specify SQLOLEDB as the provider.
  • Connection Timeout in Seconds - how many seconds the program should wait when establishing a connection to the Hach WIMS database before aborting.
  • Command Timeout in Seconds - specifies how many seconds the program should wait for a query to complete before aborting the operation.

    WARNING: Large values for these two settings can cause the program to not respond for a long period of time! Do NOT use 0 unless you know what you are doing - it will cause the program to wait indefinitely, and if your database server is down, the only way to cancel the operation is to forcefully quit the program.
  • Customizations - this should be left empty unless you were told otherwise by a Hach Support Engineer or you know what you are doing.

Buttons:

Test to see if the connection settings are valid and the interface is able to connect to Hach WIMS client. This will NOT Apply or Save the settings.

The other buttons are explained in Using Common Buttons.

keywords : connection,wims
ID : 12037 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Exit

Documentation : Main Menu

Terminates the interactive interface program.

NOTE:

Clicking "Exit" only closes the interactive interface session. Since the interface can be configured to run as a Windows Service, clicking "Exit" does NOT affect this service, it will continue collecting data. The service can be scheduled to collect data anytime, whether a user is logged on to the machine or not. The service for the interface will continue collecting data whether the interactive program is running or not.

keywords : interface,exit
ID : 12035 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import All

Documentation : Main Menu

Imports all data for all variables.

keywords : import,all
ID : 12034 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


File - Import For Selected Variables

Documentation : Main Menu
Imports data for the selected variables.

keywords : selected,vars,import
ID : 12038 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Source Read Test SCADA to Hach WIMS

Documentation : Main Menu

For testing options, click on the Testing menu option at the top menu bar of the interface.

The Source Read Test functionality is useful for source testing purposes.

Use this screen to look at source data for specific dates, using different statistics (MINIMUM, MAXIMUM, AVERAGE, etc).
This is useful when you want to look at source data on specific dates, WITHOUT doing an actual import. (No data will be overwritten on the Hach WIMS database.)

To do a test, you will need to specify a tag in the Source Tag field.
Then, for each tag, you can specify:

  • The Source Statistic to apply (MINIMUM, MAXIMUM, AVERAGE, etc).
  • The start and end dates you want data fetched.
  • The high & low ranges, as well as the dead-band (optional).
  • The filter tag - a second source tag that acts as a filter to the main selected tag (optional).

Buttons:

Interpret the tag as a double (floating-point) tag and return a floating-point number.
Interpret the tag as a string tag and return the result as a string.
Closes the window.

keywords : source,read,test
ID : 12054 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Connection to Hach WIMS

Documentation : Main Menu
Perform a test against the Hach WIMS connection to see if the connection is valid

keywords : test,connection
ID : 12052 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Test - Test Import All

Documentation : Main Menu
This performs a test import for all interface-configured variables. Note that no actual data will be written to the Hach WIMS database.

keywords : test,import,all
ID : 12053 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Utilities - Upload Definition File to Hach WIMS

Documentation : Main Menu

This feature allows you to upload the interface definition (g2_server_lu) file to the Hach WIMS database. This is needed in order to setup a collector record in Hach WIMS.

Once the definition file has been uploaded, proceed with creating a collector record in Hach WIMS Client.
The process to setup a collector record is outlined in How to configure the Hach WIMS Client for a server-side interface.

keywords : upload,definition
ID : 12040 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release notes

Contains 0 Sub-Categories and 1 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface ( Type : INFO: , ID : 12068 )

ID : 5U4D3E , Online Version


Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface

Documentation : Release notes

Build 66(8/21/2015)

  • Variable Browser relocated location path field next to variable name (4660)

Build 65(3/30/2015)

  • Variable Browser Select All button no longer selects filtered variables (4582)
  • Variable Browser now displays location path (4582)

Build 64 (7/3/2014)

  • Additional logging added (4159)
  • Added a database connection throttle allowing other processes (programs) to process events to run. (4267)
  • Variable Browser improvements - added quick filter, filter by facility. (4385)
  • Variable Browser UI improvement for Windows 7 (4466)

Build 60

  • Added support for MAXTIME and MINTIME to the import process.(4185)
  • Fixed problem importing text values.(4125)
  • Added user option setting to keep the database connection open during the entire import process.(4106)

Build 57

  • Added a global variable to CommonGlobals to allow custom notes to the stats summary at the end of a run. I added the global variable to CommonGlobals and it is used in CommonImport (4132)

Build 56

  • Added a global variable to CommonGlobals and CommonImport to keep the CustomImport object alive so its connection would stay open. We were having a problem with a special database driver hanging when it was closed. (4106)

Build 55

  • Fixed framework to properly handle Text Parameter type variables (4125)

Build 53

  • Updated framework to handle time zone differences and how they affect direct and indirect interfaces

Build 47

  • Added logging in CommTAGFilter routine CarryLastValue when verbosity is set to 9

Build 46

  • Changed CommonImport to make sure start date is correct when using the Cache feature in Advanced Settings (only affects certain interfaces) (3261)
  • Changed CommonTAGFilter to scrutinize data returned from CustomTAGFilter (only affects certain interfaces) (3313)
  • Changed CommonTAGFilter to propogate execution error check down to lowest level, so that we can distinguish between an execution error and bad data (only affects certain interfaces) (3426)

Build 41

  • Added to CommonTypeDateManager in Common_SCADA2OPSSQL; added code to compensate for daily var that have less than 1440 min/slot (i.e., 60 min from total day) so that it would get current day if the start and stop times have passed current time (Fortress 2673)

Build 40

  • Added ability to view connection string in CustomConfig form

Build 37

  • Added ability for SCADA2OPSSQL type of interfaces to define a global configuration tree

Build 36

  • Fixed problem with statistics TIMELT, TIMEGT, and TIMEEQ not counting the very first record.

Build 34

  • Added to caching function to support the following statistics for parameters using flat file databases: TOTAL, AVERAGE, MINIMUM, MAXIMUM, FIRST, LAST, DIFF, RANGE, COUNT, INVENTORY, TIMEGT, TIMELT, and TIMEEQ
  • Added to caching function to support the following statistics for text parameters using flat file databases: MINTIME, MAXTIME, FIRST, LAST, COUNT
  • Added to caching function to support the following filter operators on filter tags when using flat file databases: =, <, >, <=, >=, <>, and CYCLESTO

(Note: consult the "Topic specific to the operation of this interface" article "Supported Variable Configuration" to see whether your interface supports these available options or not)

Build 28

  • Added ability to specify adjustment of start date in minutes when running in automated mode. This can be configured under Configuration / Automated Import Configuration (2445)
  • Added support for caching of input to accelerate interface performance of interface that rely heavily on IO (2481)
  • Added support for filtering for OLEDB types of SCADA2OPSSQL interfaces (2457)

Build 10

  • Initial Release to Public

Related Articles (See Also)
Release Notes for Hach WIMS Server-Side Interface Platform ( Category : )

ID : 12068 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Collector

Contains 0 Sub-Categories and 12 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Collector Interactive Main Screen ( Type : INFO: , ID : 12419 )
Collector Proxy Settings ( Type : INFO: , ID : 12421 )
Common Collector Configuration ( Type : INFO: , ID : 12422 )
Custom Collector Configuration for Collector Q14256 ( Type : INFO: , ID : 14249 )
Generate Example OPSDATAXML File for Hach WIMS Client ( Type : HOWTO: , ID : 12425 )
Historical Data Import ( Type : HOWTO: , ID : 12424 )
Install Collector as a NT Service ( Type : HOWTO: , ID : 12428 )
NT Service Collector Interactive Screen ( Type : INFO: , ID : 12420 )
NT Service Log View ( Type : INFO: , ID : 12426 )
NT Service Status and Control ( Type : INFO: , ID : 12427 )
Relase notes for collector Q14256 ( Type : INFO: , ID : 14251 )
Using the Rockwell FactoryTalk SE Collector (Q14256) ( Type : HOWTO: , ID : 14250 )

ID : 4I6P1Y , Online Version


Collector Interactive Main Screen

Documentation : Collector

This is the main collector interactive screen when running as a Windows Tray Application.

When the Collector is installed as a Windows Tray Application (the default mode) this is the screen that you will interact with. When the Collector is installed as an NT Service you will be presented with a different screen. When you start the Collector it will not be visible by default unless errors occur. To view the main screen, you need to double click on it's icon in the system tray.

When running in this mode, you can set the various collector configuration settings as well as import live and historical data (if supported by your collector).

  • The Shortcut Buttons:

Allows you to configure the collector's settings.

Starts the scheduler to import live data. When the collector is scheduled to import live data it is in RUNNING mode. If the collector is in this mode then the START button is replaced with the PAUSE button.

Stops the import scheduler for live data. When the collector is not scheduled to import data it is in PAUSE mode. If the collector is already in this mode then the button is replaced with the START button.

Clears the activity log window.

Displays help for the current window.

Brings up general information about the Collector.

Hides the Collector. The collector continues to run.

If you installed the Collector as a NT Service, this restarts the Collector in NT Service View and Control mode.

If your Collector supports this feature you can enter a date range to import data from.

Outputs the tags that you are importing into an OPSDATAXML file. This file is needed by the Hach WIMS Client Interface Source Tag Browser.

If you want the Collector to startup automatically each time Windows restarts, then click this button. This will copy a shortcut to the Collector into the Windows Startup folder. Note: This is not the same as running as an NT Service.

  • The System Tray:

When the Collector is running as a Windows Tray Application it will appear in the Windows System Tray as an icon with a big H. To make the Collector visible, double click on the Icon. The icon will appear as 1 of 3 colors:

  1. Blue - RUNNING mode. The Collector is scheduled to import live data.
  2. Red - PAUSED mode. The Collector is not scheduled to import data.
  3. Yellow - MANUAL mode. The Collector is importing Historical data.

If you right click on the Icon in the System Tray a small menu will popup. From this menu you can shutdown the collector by choosing exit. You may also pull up the about box, restore the Collector or minimize it.

  • The Collector Messages & Notification area - the white background area displays scrolling text regarding the collector's activity. All manner of data is logged here, including data collection status, errors, warnings and other general information regarding the collector's current activity.

    Depending on the Verbosity level set, you may or may not see all information.

    If there is a directory called "Log" in the Collector directory, the Collector will also log to a text file of the form:
    <mm_dd_yyyy__hh_mm_ss_collector_name_Collector.log>

    E.g., if the current date is 2/26/2009 and the current time is 3:02:13 PM, the file will be called:
    02_26_2009__15_02_13_collector_name_Collector.log.

  • The status bar, at the bottom of the screen, displays what mode the Collector is currently in (RUNNING, PAUSED, MANUAL).

    • ID : 12419 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Collector Proxy Settings

Documentation : Collector

The Collector's Proxy Setting screen tells the Collector how to behave when it starts up.

  • Configuration File Location

    • Read Configuration From Interface - When the Collector is installed on the same machine as the Interface, the Collector by default will read in the configuration information from the same file that the Interface uses to store configuration settings. If you choose this option, the Configure Collector button will be disabled:

      To change the configuration settings you need to go to the Interface, click on the menu Configuration/Collector Configuration and press the Collector Configuration Settings button:

    • Use Standalone configuration - When the Collector is installed on a different machine (or you don't want it to use the same configuration file as the Interface) choose this option. This will allow the Collector to have it's own configuration file that isn't shared with the Interface and the Configure Collector button will be enabled.

  • Startup Options

    • Start as NT Service - Choose this option if you plan to run the Collector as a NT Service. Choosing this option does not install the Collector as a Service; it tells the Collector that it expects to be run as a service. See the documentation on how to install the Collector to run as a Service.

    • NT Service Name - The name that the Collector uses when it is run as an NT Service. You may want to change this name if you have more than one collector running as an NT Service.

    • Start as Windows Tray Application - This is the default option. In this mode the Collector runs as a standard Windows Application.
    • Windows Tray Application Name - The name that you want to give this Collector. This name will appear in the Caption of all the forms/windows that you open.

  • Configure Collector Button - Allows you to configure the collector's settings.

ID : 12421 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Common Collector Configuration

Documentation : Collector

The Configuration Screen allows you to configure the Collector's settings.

  • Live OPSDATAXML Files - The location where you want the live data OPSDATAXML files stored. The Collector automatically monitors the source tags that you defined and writes it's data to a series of xml files that will be read by the Interface.

  • Historical OPSDATAXML Files - The location where you want the historical data OPSDATAXML files stored. These are the files that get generated when you manually import historical data.

  • Collector Import Schedule - configure when the collector is scheduled to import data:
    • Daily -the collector will run ONCE per day, at the specified schedule. E.g., to run it at 2:30 am, you would enter "2" into the hours box and "30" into the minutes box. Note that time is entered in "military" format. To enter 4:45 pm, you would enter "16" into the hours box, NOT 4.
    • Hourly - the collecotr will run every hour at the specified minute after the hour
    • Minutely- the interface will run every X minutes where X is a number between 1 and 1440. E.g., to run it every 1 minute, you would enter "1".

  • Collector Troubleshooting Log Detail - Used to specifiy how much aplication runtime information to log. The higher the log level the more detail that will be logged. This information will let you know how the program is performing and alert to issues that may need to be addressed.

  • Compress XML Files - Check this option if you want to compress the OPSDATAXML files that the collector is generating. If you are collecting many tags the OPSDATAXML files that get generated can get rather large. By compressing them it can take a typical 2MB file and compress it to about 200KB.

  • Encrypt XML Files - Check this option if you want to encrypt the data that is stored in the OPSDATAXML files. The Interface will decrypt the files when it uploads the data into WIMS. It should also be noted that when you encrypt the files it also compresses them at the same time.

  • Enable Data Viewer - When the Collector is being run as a Windows Tray Application you have the option of whether or not to view the live data of the source tags you are importing. If this is checked, the data viewer will appear below the activity log.

  • Collector Uses UTC Times - The Collector will convert the data to UTC Times unless the data already uses UTC Times. Only check this if you are sure that your Collector is using UTC Times. UTC stands for Universal Time Coordinated. It is a coordinated time scale, maintained by the Bureau International des Poids et Mesures (BIPM). It is also known a "Z time" or "Zulu Time".

ID : 12422 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Custom Collector Configuration for Collector Q14256

Documentation : Collector

Use this screen to configure the connection to Rockwell FactoryTalk SE database and choose the tags you want to export into OPSDATAXML output files.

  • Data Source: This field specifies, in loose terms, the "Database/Datasource server name" where your Rockwell FactoryTalk SE system is configured to store data. For MS SQL this is in the form of host\sql_instance_name.
  • Initial Catalog: This is the name of the database that contains the source data.
  • Database Type: Currently MS SQL and Oracle DBMS' are supported
  • OLE DB Provider: This specifies which "database driver" the interface will use when connecting to the Rockwell FactoryTalk SE database. If connecting to MS SQL 2005 or later, use the native client to connect. Specify SQLNCLI as the provider. NOTE: You will need to have the Microsoft SQL Native Client installed for this to work.
  • Username: The username to connect to the Rockwell FactoryTalk SE database. This user must have the rights to view the database tables that contain the data.
  • Password: The password associated with the Username.
  • Connection Timeout in Seconds: How many seconds the program should wait when establishing a connection to the database before aborting.
  • Command Timeoutin Seconds: Specifies how many seconds the program should wait for a query to complete before aborting the operation.

    WARNING: Large values for these two settings can cause the program to not respond for a long period of time! Do NOT use 0 unless you know what you are doing - it will cause the program to wait indefinitely, and if your database server is down, the only way to cancel the operation is to forcefully quit the program.
  • Customizations: This should be left empty unless you were told otherwise by a Hach Support Engineer or you know what you are doing.
  • Test Connection: Test to see if the connection settings are valid and the collector is able to connect to WonderWare Historian database. This will NOT Apply or Save the settings.
  • Refresh Settings & Tags: This will load values for the next tab to be configured.

Select Tags - Use this tab to select the tags that will have data collected. You must configure the Source Connection before using this tab.

All Available Tags: This is a list of all the tags that are available in the system that can be collected.

Filtered Tag List: Tags listed here will have thier data collected.

Search Boxes: The search boxes allow you to search the list of tags for a particular string. The search will start from the currently selected tag (or the top if nothing is selected) so you can continue to press the search button to find the next match.

NOTE: If the xml files being produced the by collector do not have data in them, check to make sure the Data Log Models have a storage format of ODBC Database, within FactoryTalk View Studio.

The Database Tables are normally stored in the master Database.

ID : 14249 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Generate Example OPSDATAXML File for Hach WIMS Client

Documentation : Collector

The Hach WIMS Client needs to know what tags are available to link to WIMS variables. The Hach WIMS Client uses a browser control that contains a list of all the available tags that you defined. In order for the browser control to know what these tag are, it reads them in from an OPSDATAXML file. Once you have configured all the tags that you are interested in you need to open up the following screen:

You can launch this screen by click on [image] from the main Window.

Click the Save button to generate a file that contains all the tags. Remember where this file is stored because when you configure the Interface in Hach WIMS Client, it will ask where this file is stored.

ID : 12425 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Historical Data Import

Documentation : Collector

This screen allows you to import historical data. If your data source maintains historical data then you can import data for the date range that you enter. The collector will read the historical data for the date range specified and copy the data into OPSDATAXML files. Once the OPSDATAXML files have been generated you will have to import tham into Hach WIMS client using your Interface.

Start Date - The beginning of the date range to import

End Date - The end of the date range to import

Run - Starts the import process

Close - Closes the Window and does not import data

ID : 12424 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Install Collector as a NT Service

Documentation : Collector

The Collector can be installed as a NT Service. By default it runs as a traditional Windows Tray Application. Installed with the Collector is a batch file that will configure the Collector to run as a Service. If you click on the Start menu, choose HACH Company/Hach WIMS/Your Interface/Your Collector you will see the file called 'Install collector as service'. If you select this file it will go ahead and configure the Collector to run as a service. The next time Windows starts the Collector Service will start automatically.

For Windows Vista users you will need to perform the following step: You need to configure the Collector to run as an administrator. To run as an administrator, right click on the collector's executable file (i.e. Q12370.exe) and select Properties. Choose the Compatibility tab and check 'Run this program as an administrator'.

You can now start the Collector and run it as a Service. When you double click on the Collector's executable file it will open up the NT Service Collector Interactive Screen. From that screen you can open the NT Service Status and Control Screen so you can start the Service (after installing the Service it won't be started yet).

ID : 12428 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


NT Service Collector Interactive Screen

Documentation : Collector

This is the Collector's interactive screen when running as a NT Service.

When the Collector is installed as a NT Service this is the screen that you will interact with. When the Collector is installed as a Windows Tray Application you will be presented with a different screen.

When running in NT Service interactive mode, you can set the various collector configuration settings, view and control the Service status as well as import historical data (if supported by your collector).

  • The Shortcut Buttons:

Allows you monitor the Service activity

Allows you start and stop the Collector Service as well as view the Service's current status.

Allows you to configure the collector's settings.

Displays help for the current window.

Brings up general information about the Collector.

Closes the application. If the Collector Service was running it will continue to run.

Stops the Collector from running as an NT Service and restarts the Collector as a Windows Tray Application.

If your Collector supports this feature you can enter a date range to import data from.

Outputs the tags that you are importing into an OPSDATAXML file. This file is needed by the Hach WIMS Client Interface Source Tag Browser.

  • The Collector Messages & Notification area - the white background area displays scrolling text regarding the collector's activity. All manner of data is logged here, including data collection status, errors, warnings and other general information regarding the collector's current activity.

    Depending on the Verbosity level set, you may or may not see all information.

    If there is a directory called "Log" in the Collector directory, the Collector will also log to a text file of the form:
    <mm_dd_yyyy__hh_mm_ss_collector_name_Collector.log>

    E.g., if the current date is 2/26/2009 and the current time is 3:02:13 PM, the file will be called:
    02_26_2009__15_02_13_collector_name_Collector.log.

  • The status bar, at the bottom of the screen, displays the status of the NT Service.

    • ID : 12420 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


NT Service Log View

Documentation : Collector

The Activity Log View lets you view the Collector's NT Service log.

Buttons:

Force refresh of the service log view.
View the full service log.

NOTE:
If the log cannot be read, make sure the service name is correct and that it's running. See NT Service Status and Control on how to start the service if it's not running (assuming the service name is correct) and see Proxy Settings on how to view/change the service name.

ID : 12426 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


NT Service Status and Control

Documentation : Collector

The Status and Control screen lets you configure and monitor the state of collector service:

The name of the service is displayed in the bottom left (see screenshot) corner of the screen. This is the name of the service that the interactive program is configured to monitor.

If this is NOT the name of the service, you can change it from the Proxy Settings screen.

Buttons:

Start the service, if it is not running.
Stop the service, if it is running.

ID : 12427 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Relase notes for collector Q14256

Documentation : Collector

Version 1.0.0 (Build 10, Released on 10/3/2014)

  • Initial release for distribution

ID : 14251 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Using the Rockwell FactoryTalk SE Collector (Q14256)

Documentation : Collector

The disconnected Rockwell FactoryTalk SE Interface (Q14246) does not communicate directly with the database. Instead, the interface reads in OPSDATAXML files that have been generated by a Collector Utility that reads the FactoryTalk SE data. Once a minute, the Collector (Q14256) reads in data from the database for each configured tag and writes the data to an OPSDATAXML file. Each file contains 60 data points (one for every minute in an hour) for each tag that you are monitoring. Once OPSDATAXML files are being generated and moved to where the Interface can access them, the Interface will start reading the data into Hach WIMS.

Although it is possible to run the Collector and Interface on the same machine this version of the Interface was designed to have the Interface and Collector on seperate machines. This Interface deals with the situation in which the Interface is not able to communicate directly with the FactoryTalk SE database.

To start the Collector you need to double click on the Collector program 'Q14256.exe'. Clicking on this program the first time will display a warning about configuration, and will launch the Interactive Screen.

The Collector will not start collecting data until it has been configured. Click on the Configure button to configure your settings. When you click on the Configure button you are presented with a Proxy Setting screen before being able to configure the Collector's settings. This will allow you to configure from the collector itself or from the interface (if they are on the same computer).

The proxy screen contains needed information on how you plan to run the Collector. It is recommended to check "Use Standalone configuration" and "Start as Windows Tray Application". Click the Configure Collector button to continue configuring the collectors settings.

On the configuration screen there are three tabs for configurating settings. The General Settings tab contains information on when the Collector will run and specifics about the OPSDATAXML output files.

On the Source Configuration and Select Tags tabs you configure the connection to the Rockwell FactoryTalk SE database and what tags to import. See the article Custom Collector Configuration for Collector Q14256 for how to configure the collector.

When you launch the Collector it will either start as a Windows Tray Application (default) or in NT Service View and Control mode. The Tray Application screen is below.

If the status bar shows "RUNNING" then the Collector is scheduled to run and collect the data. If the status is "PAUSED" you need to configure the connection to the source database and click the Start button. If the collector is not able to communicate with the database or if no tags have been selected yet, then the collector will not run. If you start the collector and it does not appear on the screen then you can find it in the Windows System Tray (by default the Collector is hidden when it is started unless errors occur during startup). You can double click on it's icon in the System Tray to make it visible.

When the Collector is installed to run as a service you are presented with the following screen when starting the application. Notice the buttons are slightly different.

From here you can see if the Service is running, configure it, stop it, start it, and view the activity log files.

ID : 14250 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Topics specific to the operation of this interface

Contains 0 Sub-Categories and 4 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Articles
Configuration - Source Configuration Q14246 ( Type : INFO: , ID : 14255 )
Release notes for interface Q14246 ( Type : INFO: , ID : 14252 )
Supported variable configurations for interface Q14246 ( Type : HOWTO: , ID : 14254 )
Using Inteface Browser Q12429 ( Type : HOWTO: , ID : 14253 )

ID : 6F8T2E , Online Version


Configuration - Source Configuration Q14246

Documentation : Topics specific to the operation of this interface

To configure your Hach WIMS Indirect Server-Side Interface to Rockwell FactoryTalk SE:

  1. Open Source Configuration.

  2. Set the folder location of the OPSDATAXML files to import.

ID : 14255 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Release notes for interface Q14246

Documentation : Topics specific to the operation of this interface

Version 8.0.1 (Released on 12/13/2021)

  • Updated Licensing

Version 8.0.0 (Released on 11/30/2021)

  • Added support for CSV Export and Upload to Aquatic Compliance & Operations (ACO)
  • Upgraded to Spread 8

Version 1.0.2 (Released on 2/1/2021)

  • Upgraded interface to the latest Common Framework

Version 1.0.1 (Released on 12/7/2015)

  • Fixed DIFF function (4623)
  • Upgraded interface to Common Framework Build 149

Version 1.0.0 (Build 9, Release on 10/3/2014)

  • Initial release

ID : 14252 , Type : INFO: , Online Version , Help us improve this article : Leave Feedback


Supported variable configurations for interface Q14246

Documentation : Topics specific to the operation of this interface

Supported variable configurations for the Hach WIMS Indirect Server-Side Interface to Rockwell FactoryTalk SE.

To configure a variable to hold values from Rockwell FactoryTalk SE (referred to as the 'source database'), select Edit/View Variables in the client and select the Interface tab.

Then click Interface To radio button. The drop down box next to the option is now enabled, click the drop down arrow and choose the Rockwell FactoryTalk SE interface name (name given when configuring the interface).

Now you are ready to configure a signal tag from the source database. The Tag name and a statistic are all that are mandatory.

  • This is the tag name in the source database. The ? symbol (question mark) will allow you to browse the source database for tag names.

  • This is a listing of all the statistics supported by this interface. This includes the following statistics for a specified time period:

STATISTIC

DESCRIPTION

SQL QUERY*

AVERAGE

Take the average of the data points

SELECT AVG(Value) FROM FloatTable WHERE SamplingMode='Lab' AND Tagname='FLOW_2F' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00'

TOTAL

Take the sum total of all values

SELECT SUM(Value) FROM FloatTable WHERE SamplingMode='Lab' AND Tagname='FLOW_2F' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00'

MINIMUM

Get the minimum value

SELECT MIN(Value) FROM FloatTable WHERE SamplingMode='Lab' AND Tagname='FLOW_2F' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00'

MAXIMUM

Get the maximum value

SELECT MAX(Value) FROM FloatTable WHERE SamplingMode='Lab' AND Tagname='FLOW_2F' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00'

FIRST

Get the first value

 SELECT TOP 1 Value, Timestamp FROM FloatTable WHERE SamplingMode='Lab' AND Tagname='FLOW_2F' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' ORDER BY Timestamp

LAST

Get the last value

 SELECT TOP 1 Value, Timestamp FROM FloatTable WHERE SamplingMode='Lab' AND Tagname='FLOW_2F' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' ORDER BY Timestamp DESC

DIFF

Calculate the difference between the first and last values. If the first value is larger than the second then it will perform the following calculation: (10 ^ (Ceil(LOG(first_value) / LOG(10)))) - first_value + last_value

Ceil will cause the value to round up
  1. Get FIRST value
  2. Get LAST value
  3. RESULT = LAST - FIRST
  4. IF RESULT < 0 THEN (10 ^ (Ceil(LOG(first_value) / LOG(10)))) - first_value + last_value

RANGE

Calculate the absolute value of the difference between the minimum and maximum values
  1. Get MIN value
  2. Get MAX value
  3. Get ABS(MIN - MAX)

INVENTORY

Return the total use based on a tank level signal. For example, the level is 10 feet at midnight and slowly goes down to 2 feet at 2:00 PM, then gets filled to 15 feet and slowly goes down to 8 feet at midnight. The inventory function would return ((10 - 2) + (15 - 8)) = 15.
  1. SELECT Value FROM FloatTable WHERE Tagname='TANK_LEVEL' AND SamplingMode='RawByTime' AND Timestamp>='03/01/2009 00:00:00' AND Timestamp<'03/02/2009 00:00:00'
  2. Loop throught the records returned and sum the downward trends greater than the Deadband

TIMEGT(x)

Counts the number of values greater than the given number (x). If left unspecified it will use zero (0).

 SELECT COUNT(Value) FROM FloatTable WHERE SamplingMode='Lab' AND Tagname='FLOW_2F' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND Value > x

TIMELT(x)

Counts the number of values less than the given number (x). If left unspecified it will use zero (0).

 SELECT COUNT(Value) FROM FloatTable WHERE SamplingMode='Lab' AND Tagname='FLOW_2F' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND Value < x

TIMEEQ(x)

Counts the number of values equal to the given number (x). If left unspecified it will use zero (0).

 SELECT COUNT(Value) FROM FloatTable WHERE SamplingMode='Lab' AND Tagname='FLOW_2F' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00' AND Value = x

COUNT

Counts the number of data points.

 SELECT COUNT(Value) FROM FloatTable WHERE SamplingMode='Lab' AND Tagname='FLOW_2F' AND Timestamp>='3/1/2009 00:00:00' AND Timestamp <'3/2/2009 00:00:00'

* NOTE:The SQL Queries are not used in the interface, it parses XML files. The queries can duplicate how the interface parses the XML files.

  • This is the value to multiply the result by when using parameter variable types. Commonly used to convert from one unit base to another. For example to convert gallons per minute (GPM) to gallons per day (GPD), set the scale factor to 1440 (1440 minutes per day).

  • All three fields must have numeric values or the word None (as shown). The Low Range and High Range will crop data from the source. For example to eliminate negative numbers from a particular tag, set the Low Range to 0 (zero) - this will get any values equal to or greater than 0 (zero). The Deadband is used for the statistic Inventory and will elliminate noise levels up to the value specified. For example, if you enter .5 next to Deadband, any value change of .5 or less, will be ignored.

    • Start Time will set the beginning of the time slot for this variable.
    • Stop Time will set the ending time for the time slot.
    • Same Day as Start is only used by daily variables and it means the stop time is on the same day as the start time.
    • Day After Start is also only used by daily variables and it means the stop time is a day after the start time.

    • Node Tag Field is the signal tag to filter by from the GE Proficy Historian. You can find tag names using the ? the same way you found the signal tag above.
    • The second field is the filter operator drop down. This includes the following:

      SYMBOL

      DESCRIPTION

      < Less than, true if the value returned is less than the filter value
      > Greater than, true if the value returned is greater than the filter value
      = Equal to, true if the value returned is equal to the filter value
      <= Less than or equal to, true if the value returned is less than or equal to the filter value
      >= Greater than or equal to, true if the value returned is greater than or equal to the filter vaue
      <> Not equal, true if the value returned is not equal to the filter value

    • The last field is the filter value. The value returned from the filter tag is compared to this value.

ID : 14254 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Using Inteface Browser Q12429

Documentation : Topics specific to the operation of this interface

Using the interface browser for Hach WIMS Server-Side Interface to Rockwell FactoryTalk SE.

Before beginning this step, on the SCADA computer where the Collector will be hosted, generate an OPSDATAXML file from the Collector by clicking on Output Source Tags button:

Copy this file to the Hach WIMS computer that will be used for looking up tags. Also note: any time a new tag is added to the SCADA system, a new file will need to be generated and then moved to the Hach WIMS Client computer.

Next, follow these steps to set up tag browsing in Hach WIMS Client:

Step 1: While in the Hach WIMS client, select Edit/View Variables and click the Interface tab.

Step 2: The browser connection must be properly configured. In the Hach WIMS client:

  • Select System Tables -> Entire System -> Server-Side Interface Setup.

  • Select the Edit button for the Rockwell FactoryTalk SE entry that you want to enable the browser for.

  • Click on the Browser tab and enter the location of the exported tag list OPSDATAXML file generated by the Collector. The browser will search this file for the available Tag Names. Make sure Browser Enabled is checked and click OK button.

You are ready to view tags from the HMI. Click on System Setup -> View/Edit Variables and click on the Interface tab.

Click the button with a ? (question mark) on it as shown below:

The browser will load:

Select the appropriate Source Tag and click OK.

ID : 14253 , Type : HOWTO: , Online Version , Help us improve this article : Leave Feedback


Special Section : Sitemap : Local Links
This CHM file contains 7 total Sub-Categories and 43 total Articles.
This page was auto-generated at 12/13/2021 1:22:52 PM

Local Links
Documentation : Introduction
Documentation : Introduction : Overview of Indirect Interface Concepts
Documentation : Introduction : Q14246 Rockwell FactoryTalk View SE Interface Introduction
Documentation : Introduction : Source versions tested
Documentation : How To
Documentation : How To : _ Step-by-Step Instructions on How to Configure Interface
Documentation : How To : Change Configuration Protection Password
Documentation : How To : Configuration is Password Protected
Documentation : How To : Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
Documentation : How To : Hach WIMS Super User Credentials
Documentation : How To : Using Common Buttons
Documentation : How To : Using Main Interface Screen
Documentation : How To : Using Select Date Range to Import
Documentation : Main Menu
Documentation : Main Menu : Automated Import - Activity Log View
Documentation : Main Menu : Automated Import - Modify Last Ran Dates
Documentation : Main Menu : Automated Import - Status and Control
Documentation : Main Menu : Configuration - Advanced Configuration : Source Input Cache
Documentation : Main Menu : Configuration - Advanced Configuration: Unit Conversion
Documentation : Main Menu : Configuration - Automated Import Configuration
Documentation : Main Menu : Configuration - Collector Configuration
Documentation : Main Menu : Configuration - Connection To Hach WIMS
Documentation : Main Menu : File - Exit
Documentation : Main Menu : File - Import All
Documentation : Main Menu : File - Import For Selected Variables
Documentation : Main Menu : Test - Source Read Test SCADA to Hach WIMS
Documentation : Main Menu : Test - Test Connection to Hach WIMS
Documentation : Main Menu : Test - Test Import All
Documentation : Main Menu : Utilities - Upload Definition File to Hach WIMS
Documentation : Release notes
Documentation : Release notes : Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface
Documentation : Collector
Documentation : Collector : Collector Interactive Main Screen
Documentation : Collector : Collector Proxy Settings
Documentation : Collector : Common Collector Configuration
Documentation : Collector : Custom Collector Configuration for Collector Q14256
Documentation : Collector : Generate Example OPSDATAXML File for Hach WIMS Client
Documentation : Collector : Historical Data Import
Documentation : Collector : Install Collector as a NT Service
Documentation : Collector : NT Service Collector Interactive Screen
Documentation : Collector : NT Service Log View
Documentation : Collector : NT Service Status and Control
Documentation : Collector : Relase notes for collector Q14256
Documentation : Collector : Using the Rockwell FactoryTalk SE Collector (Q14256)
Documentation : Topics specific to the operation of this interface
Documentation : Topics specific to the operation of this interface : Configuration - Source Configuration Q14246
Documentation : Topics specific to the operation of this interface : Release notes for interface Q14246
Documentation : Topics specific to the operation of this interface : Supported variable configurations for interface Q14246
Documentation : Topics specific to the operation of this interface : Using Inteface Browser Q12429


Special Section : Articles : Local Links
This CHM file contains 43 Articles.
This page was auto-generated at 12/13/2021 1:22:53 PM

Local Links
Relase notes for collector Q14256 in Category Documentation : Collector
Using the Rockwell FactoryTalk SE Collector (Q14256) in Category Documentation : Collector
Using Inteface Browser Q12429 in Category Documentation : Topics specific to the operation of this interface
Release notes for interface Q14246 in Category Documentation : Topics specific to the operation of this interface
Configuration - Source Configuration Q14246 in Category Documentation : Topics specific to the operation of this interface
Supported variable configurations for interface Q14246 in Category Documentation : Topics specific to the operation of this interface
Q14246 Rockwell FactoryTalk View SE Interface Introduction in Category Documentation : Introduction
Custom Collector Configuration for Collector Q14256 in Category Documentation : Collector
Source versions tested in Category Documentation : Introduction
Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL) in Category Documentation : How To
Automated Import - Modify Last Ran Dates in Category Documentation : Main Menu
Collector Proxy Settings in Category Documentation : Collector
Utilities - Upload Definition File to Hach WIMS in Category Documentation : Main Menu
NT Service Collector Interactive Screen in Category Documentation : Collector
_ Step-by-Step Instructions on How to Configure Interface in Category Documentation : How To
Test - Test Import All in Category Documentation : Main Menu
Configuration - Advanced Configuration : Source Input Cache in Category Documentation : Main Menu
Configuration - Collector Configuration in Category Documentation : Main Menu
Test - Test Connection to Hach WIMS in Category Documentation : Main Menu
Common Collector Configuration in Category Documentation : Collector
Change Configuration Protection Password in Category Documentation : How To
File - Exit in Category Documentation : Main Menu
Generate Example OPSDATAXML File for Hach WIMS Client in Category Documentation : Collector
Configuration - Automated Import Configuration in Category Documentation : Main Menu
File - Import All in Category Documentation : Main Menu
Test - Source Read Test SCADA to Hach WIMS in Category Documentation : Main Menu
Historical Data Import in Category Documentation : Collector
Hach WIMS Super User Credentials in Category Documentation : How To
Automated Import - Status and Control in Category Documentation : Main Menu
Configuration - Connection To Hach WIMS in Category Documentation : Main Menu
NT Service Status and Control in Category Documentation : Collector
Configuration is Password Protected in Category Documentation : How To
Using Main Interface Screen in Category Documentation : How To
NT Service Log View in Category Documentation : Collector
Overview of Indirect Interface Concepts in Category Documentation : Introduction
Using Common Buttons in Category Documentation : How To
Automated Import - Activity Log View in Category Documentation : Main Menu
Collector Interactive Main Screen in Category Documentation : Collector
Using Select Date Range to Import in Category Documentation : How To
Configuration - Advanced Configuration: Unit Conversion in Category Documentation : Main Menu
File - Import For Selected Variables in Category Documentation : Main Menu
Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface in Category Documentation : Release notes
Install Collector as a NT Service in Category Documentation : Collector


Sub-tree rooted at How To

Sub-tree rooted at Documentation : How To
Categories and Articles
: _ Step-by-Step Instructions on How to Configure Interface
: Change Configuration Protection Password
: Configuration is Password Protected
: Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
: Hach WIMS Super User Credentials
: Using Common Buttons
: Using Main Interface Screen
: Using Select Date Range to Import


Documentation
Contains 6 Sub-Categories and 0 Articles.
Click here to browse a sub-tree sitemap that is rooted at this category.

Categories
Introduction ( Sub-Categories : 0 , Articles : 3 )
How To ( Sub-Categories : 0 , Articles : 8 )
Main Menu ( Sub-Categories : 0 , Articles : 15 )
Release notes ( Sub-Categories : 0 , Articles : 1 )
Collector ( Sub-Categories : 0 , Articles : 12 )
Topics specific to the operation of this interface ( Sub-Categories : 0 , Articles : 4 )

ID : 2B3Y1H , Online Version


Sub-tree rooted at Documentation
Categories and Articles
: Introduction
Introduction : Overview of Indirect Interface Concepts
Introduction : Q14246 Rockwell FactoryTalk View SE Interface Introduction
Introduction : Source versions tested
: How To
How To : _ Step-by-Step Instructions on How to Configure Interface
How To : Change Configuration Protection Password
How To : Configuration is Password Protected
How To : Configure the Hach WIMS Client for a Server-Side Interface (SCADA2OPSSQL)
How To : Hach WIMS Super User Credentials
How To : Using Common Buttons
How To : Using Main Interface Screen
How To : Using Select Date Range to Import
: Main Menu
Main Menu : Automated Import - Activity Log View
Main Menu : Automated Import - Modify Last Ran Dates
Main Menu : Automated Import - Status and Control
Main Menu : Configuration - Advanced Configuration : Source Input Cache
Main Menu : Configuration - Advanced Configuration: Unit Conversion
Main Menu : Configuration - Automated Import Configuration
Main Menu : Configuration - Collector Configuration
Main Menu : Configuration - Connection To Hach WIMS
Main Menu : File - Exit
Main Menu : File - Import All
Main Menu : File - Import For Selected Variables
Main Menu : Test - Source Read Test SCADA to Hach WIMS
Main Menu : Test - Test Connection to Hach WIMS
Main Menu : Test - Test Import All
Main Menu : Utilities - Upload Definition File to Hach WIMS
: Release notes
Release notes : Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface
: Collector
Collector : Collector Interactive Main Screen
Collector : Collector Proxy Settings
Collector : Common Collector Configuration
Collector : Custom Collector Configuration for Collector Q14256
Collector : Generate Example OPSDATAXML File for Hach WIMS Client
Collector : Historical Data Import
Collector : Install Collector as a NT Service
Collector : NT Service Collector Interactive Screen
Collector : NT Service Log View
Collector : NT Service Status and Control
Collector : Relase notes for collector Q14256
Collector : Using the Rockwell FactoryTalk SE Collector (Q14256)
: Topics specific to the operation of this interface
Topics specific to the operation of this interface : Configuration - Source Configuration Q14246
Topics specific to the operation of this interface : Release notes for interface Q14246
Topics specific to the operation of this interface : Supported variable configurations for interface Q14246
Topics specific to the operation of this interface : Using Inteface Browser Q12429


Sub-tree rooted at Introduction

Sub-tree rooted at Documentation : Introduction
Categories and Articles
: Overview of Indirect Interface Concepts
: Q14246 Rockwell FactoryTalk View SE Interface Introduction
: Source versions tested


Sub-tree rooted at Collector

Sub-tree rooted at Documentation : Collector
Categories and Articles
: Collector Interactive Main Screen
: Collector Proxy Settings
: Common Collector Configuration
: Custom Collector Configuration for Collector Q14256
: Generate Example OPSDATAXML File for Hach WIMS Client
: Historical Data Import
: Install Collector as a NT Service
: NT Service Collector Interactive Screen
: NT Service Log View
: NT Service Status and Control
: Relase notes for collector Q14256
: Using the Rockwell FactoryTalk SE Collector (Q14256)


Sub-tree rooted at Main Menu

Sub-tree rooted at Documentation : Main Menu
Categories and Articles
: Automated Import - Activity Log View
: Automated Import - Modify Last Ran Dates
: Automated Import - Status and Control
: Configuration - Advanced Configuration : Source Input Cache
: Configuration - Advanced Configuration: Unit Conversion
: Configuration - Automated Import Configuration
: Configuration - Collector Configuration
: Configuration - Connection To Hach WIMS
: File - Exit
: File - Import All
: File - Import For Selected Variables
: Test - Source Read Test SCADA to Hach WIMS
: Test - Test Connection to Hach WIMS
: Test - Test Import All
: Utilities - Upload Definition File to Hach WIMS


Sub-tree rooted at Release notes

Sub-tree rooted at Documentation : Release notes
Categories and Articles
: Release Notes for SCADA2OPSSQL Type of Hach WIMS Direct Server-Side Interface


Sub-tree rooted at Topics specific to the operation of this interface

Sub-tree rooted at Documentation : Topics specific to the operation of this interface
Categories and Articles
: Configuration - Source Configuration Q14246
: Release notes for interface Q14246
: Supported variable configurations for interface Q14246
: Using Inteface Browser Q12429